> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# borrowLendReserveState

> Native Hyperliquid `/info` operation. Returns the borrow/lend reserve state for `token`.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#31
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#31:
    post:
      tags:
        - Hyperliquid
      summary: borrowLendReserveState
      description: >-
        Native Hyperliquid `/info` operation. Returns the borrow/lend reserve
        state for `token`.
      operationId: borrowLendReserveState_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Alchemy
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/HyperliquidInfo_borrowLendReserveState_Request
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HyperliquidInfo_borrowLendReserveState_Response
components:
  schemas:
    HyperliquidInfo_borrowLendReserveState_Request:
      type: object
      required:
        - type
        - token
      properties:
        type:
          type: string
          enum:
            - borrowLendReserveState
          default: borrowLendReserveState
          example: borrowLendReserveState
        token:
          type: number
          description: The token index whose reserve state to read.
          example: 0
      example:
        type: borrowLendReserveState
        token: 0
    HyperliquidInfo_borrowLendReserveState_Response:
      type: object
      required:
        - borrowYearlyRate
        - supplyYearlyRate
        - balance
        - utilization
        - oraclePx
        - ltv
        - totalSupplied
        - totalBorrowed
      properties:
        borrowYearlyRate:
          type: string
          example: '0.0'
        supplyYearlyRate:
          type: string
          example: '0.0'
        balance:
          type: string
          example: '0.0'
        utilization:
          type: string
          example: '0.0'
        oraclePx:
          type: string
          example: '0.0'
        ltv:
          type: string
          example: '0.0'
        totalSupplied:
          type: string
          example: '0.0'
        totalBorrowed:
          type: string
          example: '0.0'
      example:
        borrowYearlyRate: '0.05'
        supplyYearlyRate: '0.0224826173'
        balance: '77476251.7195123285'
        utilization: '0.4996137184'
        oraclePx: '1.0'
        ltv: '0.0'
        totalSupplied: '154832862.7269202769'
        totalBorrowed: '77356622.2741057873'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````